GET /repos/{owner}/{repo}/releases/assets/{asset_id}

github.com:github-rest-api

Summary: Get a release asset
Operation ID: repos/get-release-asset
Auth: bearer_token
Description

To download the asset's binary content: - If within a browser, fetch the location specified in the `browser_download_url` key provided in the response. - Alternatively, set the `Accept` header of the request to [`application/octet-stream`](https://docs.github.com/rest/using-the-rest-api/getting-started-with-the-rest-api#media-types). The API will either redirect the client to the location, or stream it directly if possible. API clients should handle both a `200` or `302` response.

Parameters (3)

asset_id (integer, path, required)

The unique identifier of the asset.

owner (string, path, required)

The account owner of the repository. The name is not case sensitive.

repo (string, path, required)

The name of the repository without the `.git` extension. The name is not case sensitive.

No probe data for this endpoint yet.